#
# spec file for package perl-Satcon
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Satcon
Summary:        Framework for configuration files
Version:        1.11
Release:        1.4
License:        GPL v2 only
Group:          Applications/System
Url:            https://fedorahosted.org/spacewalk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Source0:        perl-Satcon-git-8fb59f659522f803d45c3e275ebe3f171a72d634.tar.gz
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version}
Requires:       policycoreutils
%else
Requires:       /sbin/restorecon
%endif

%description
Framework for generating config files during installation. This package
include Satcon perl module and supporting applications.



%prep
%setup -q -n perl-Satcon-git-8fb59f659522f803d45c3e275ebe3f171a72d634

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE 
%{perl_vendorlib}/*
%{_bindir}/*

%changelog
* Tue Sep 14 2010 mantel@suse.de
- Initial release of perl-Satcon
